Bug 895968 - [abrt] xfce4-screenshooter-plugin-1.8.0-5.fc17: get_window_screenshot: Process /usr/libexec/xfce4/panel-plugins/xfce4-screenshooter-plugin was killed by signal 11 (SIGSEGV)
Summary: [abrt] xfce4-screenshooter-plugin-1.8.0-5.fc17: get_window_screenshot: Proces...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-screenshooter
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9c5f23854495e3b3a89ace6de6a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-16 12:01 UTC by Vlastimil Stein
Modified: 2013-05-30 03:05 UTC (History)
1 user (show)

Fixed In Version: xfce4-screenshooter-1.8.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-27 03:20:11 UTC


Attachments (Terms of Use)
File: core_backtrace (402 bytes, text/plain)
2013-01-16 12:01 UTC, Vlastimil Stein
no flags Details
File: environ (1.63 KB, text/plain)
2013-01-16 12:01 UTC, Vlastimil Stein
no flags Details
File: event_log (21.23 KB, text/plain)
2013-01-16 12:01 UTC, Vlastimil Stein
no flags Details
File: backtrace (58.75 KB, text/plain)
2013-01-16 12:01 UTC, Vlastimil Stein
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-16 12:01 UTC, Vlastimil Stein
no flags Details
File: cgroup (129 bytes, text/plain)
2013-01-16 12:01 UTC, Vlastimil Stein
no flags Details
File: smolt_data (3.49 KB, text/plain)
2013-01-16 12:01 UTC, Vlastimil Stein
no flags Details
File: xsession_errors (5.01 KB, text/plain)
2013-01-16 12:01 UTC, Vlastimil Stein
no flags Details
File: executable (59 bytes, text/plain)
2013-01-16 12:02 UTC, Vlastimil Stein
no flags Details
File: maps (22.61 KB, text/plain)
2013-01-16 12:02 UTC, Vlastimil Stein
no flags Details
File: dso_list (5.24 KB, text/plain)
2013-01-16 12:02 UTC, Vlastimil Stein
no flags Details
File: build_ids (2.56 KB, text/plain)
2013-01-16 12:02 UTC, Vlastimil Stein
no flags Details
File: open_fds (361 bytes, text/plain)
2013-01-16 12:02 UTC, Vlastimil Stein
no flags Details
File: var_log_messages (673 bytes, text/plain)
2013-01-16 12:02 UTC, Vlastimil Stein
no flags Details
File: proc_pid_status (798 bytes, text/plain)
2013-01-16 12:02 UTC, Vlastimil Stein
no flags Details


Links
System ID Priority Status Summary Last Updated
Xfce 8080 None None None Never

Description Vlastimil Stein 2013-01-16 12:01:15 UTC
Description of problem:
the crash occured immediately after launching the screenshooter from the xfce4-panel

Version-Release number of selected component:
xfce4-screenshooter-plugin-1.8.0-5.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-screenshooter-plugin '' 23 18874420 screenshooter Screenshot 'Take screenshots of the entire screen, of the active window or of a region' ''
crash_function: get_window_screenshot
kernel:         3.6.9-2.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 get_window_screenshot at lib/screenshooter-capture.c:404
: #1 screenshooter_take_screenshot at lib/screenshooter-capture.c:1081
: #2 screenshooter_take_screenshot_idle at lib/screenshooter-actions.c:42
: #3 cb_button_clicked at panel-plugin/screenshooter-plugin.c:174
: #4 g_cclosure_marshal_VOID__VOIDv at gmarshal.c:115
: #5 _g_closure_invoke_va at gclosure.c:840
: #8 gtk_button_clicked at gtkbutton.c:1128
: #9 gtk_real_button_released at gtkbutton.c:1725
: #11 g_cclosure_marshal_VOID__VOIDv at gmarshal.c:115
: #12 g_type_class_meta_marshalv at gclosure.c:997

Comment 1 Vlastimil Stein 2013-01-16 12:01:22 UTC
Created attachment 679478 [details]
File: core_backtrace

Comment 2 Vlastimil Stein 2013-01-16 12:01:26 UTC
Created attachment 679479 [details]
File: environ

Comment 3 Vlastimil Stein 2013-01-16 12:01:32 UTC
Created attachment 679480 [details]
File: event_log

Comment 4 Vlastimil Stein 2013-01-16 12:01:42 UTC
Created attachment 679481 [details]
File: backtrace

Comment 5 Vlastimil Stein 2013-01-16 12:01:46 UTC
Created attachment 679482 [details]
File: limits

Comment 6 Vlastimil Stein 2013-01-16 12:01:50 UTC
Created attachment 679483 [details]
File: cgroup

Comment 7 Vlastimil Stein 2013-01-16 12:01:54 UTC
Created attachment 679484 [details]
File: smolt_data

Comment 8 Vlastimil Stein 2013-01-16 12:01:58 UTC
Created attachment 679485 [details]
File: xsession_errors

Comment 9 Vlastimil Stein 2013-01-16 12:02:03 UTC
Created attachment 679486 [details]
File: executable

Comment 10 Vlastimil Stein 2013-01-16 12:02:07 UTC
Created attachment 679487 [details]
File: maps

Comment 11 Vlastimil Stein 2013-01-16 12:02:10 UTC
Created attachment 679488 [details]
File: dso_list

Comment 12 Vlastimil Stein 2013-01-16 12:02:14 UTC
Created attachment 679489 [details]
File: build_ids

Comment 13 Vlastimil Stein 2013-01-16 12:02:17 UTC
Created attachment 679490 [details]
File: open_fds

Comment 14 Vlastimil Stein 2013-01-16 12:02:23 UTC
Created attachment 679491 [details]
File: var_log_messages

Comment 15 Vlastimil Stein 2013-01-16 12:02:26 UTC
Created attachment 679492 [details]
File: proc_pid_status

Comment 16 Christoph Wickert 2013-05-19 08:20:06 UTC
This is fixed in 1.8.1, stay tuned for the update.

Comment 17 Fedora Update System 2013-05-19 08:25:30 UTC
xfce4-screenshooter-1.8.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfce4-screenshooter-1.8.1-1.fc19

Comment 18 Fedora Update System 2013-05-19 08:42:46 UTC
xfce4-screenshooter-1.8.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xfce4-screenshooter-1.8.1-1.fc18

Comment 19 Fedora Update System 2013-05-19 08:43:45 UTC
xfce4-screenshooter-1.8.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xfce4-screenshooter-1.8.1-1.fc17

Comment 20 Fedora Update System 2013-05-19 18:19:58 UTC
Package xfce4-screenshooter-1.8.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-screenshooter-1.8.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8623/xfce4-screenshooter-1.8.1-1.fc19
then log in and leave karma (feedback).

Comment 21 Fedora Update System 2013-05-27 03:20:11 UTC
xfce4-screenshooter-1.8.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2013-05-30 03:04:13 UTC
xfce4-screenshooter-1.8.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2013-05-30 03:05:03 UTC
xfce4-screenshooter-1.8.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.